# scripts-nh

[![DOI](https://zenodo.org/badge/doi/10.5281/zenodo.4445878.svg)](https://doi.org/10.5281/zenodo.4445878)


Scripts accompanying the dissertation __Genre analysis and corpus design: 19th century Spanish American novels (1830-1910)__ by Ulrike Henny-Krahmer. The dissertation was written in the context of the project [Computational Literary Genre Stylistics (CLiGS)](https://cligs.hypotheses.org/) at the University of Würzburg and has been submitted in January 2021.

The scripts in this repository served to perform a variety of tasks related to the creation of a corpus of 19th century Spanish American novels and the analysis of these novels in terms of subgenres.

Links to these scripts are given in the text of the dissertation. The research data that resulted from applying the scripts to the corpus files is offered in the repository data-nh (see below). 

* [data-nh](https://github.com/cligs/data-nh/): data resulting from the application of the scripts in this repository.
* [Conha19: Corpus de novelas hispanoamericanas del siglo XIX](https://github.com/cligs/conha19): a corpus of 256 novels from Argentina, Cuba, and Mexico which were published between 1830 and 1910. 234 of the 256 novels are in the open domain and offered in the repository. This corpus is the data basis on which the novels and subgenres were analyzed.
* [Bib-ACMé: Bibliografía digital de novelas argentinas, cubanas y mexicanas (1830-1910)](https://github.com/cligs/bibacme): a digital bibliography of Argentine, Mexican, and Cuban novels published between 1830 and 1910. This bibliography constitutes the sampling frame for the corpus Conha19, so it aims to represent the whole population of 19th-century novels published in the three countries.
